PowerPoint3ParserInternal::Frame Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
PowerPoint3ParserInternal::Frame Struct Reference

Internal: a frame of a PowerPoint3Parser. More...

## Public Member Functions
| Frame ()
| constructor More...

## Public Attributes
int | m_type
| the type: 0:line, 1:rect, 2: textbox, ... More...
int | m_formatId
| the format id More...
MWAWBox2i | m_dimension
| the dimension More...
int | m_shapeId
| the shape id: 1: oval, 2: rectOval, 3:rectangle More...
int | m_customShapeId
| the custom shape id More...
int | m_customTransformation
| the custom transformation: 1:rot90, 2:rot180, 4:flipX More...
int | m_polygonId
| the polygon id More...
int | m_pictureId
| the picture id More...
int | m_textId
| the textzone id More...
bool | m_mainTextBox
| flag to know if the textbox is a place holder More...
float | m_angles [2]
| the arc angles More...
int | m_groupChild [2]
| the group limit More...
MWAWGraphicStyle | m_style
| the style More...
bool | m_isSent
| flag to know if a frame is sent More...

## Detailed Description

Internal: a frame of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## ◆ Frame()

PowerPoint3ParserInternal::Frame::Frame | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_angles

float PowerPoint3ParserInternal::Frame::m_angles[2]

the arc angles

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_customShapeId

int PowerPoint3ParserInternal::Frame::m_customShapeId

the custom shape id

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_customTransformation

int PowerPoint3ParserInternal::Frame::m_customTransformation

the custom transformation: 1:rot90, 2:rot180, 4:flipX

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_dimension

MWAWBox2i PowerPoint3ParserInternal::Frame::m_dimension

the dimension

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_formatId

int PowerPoint3ParserInternal::Frame::m_formatId

the format id

## ◆ m_groupChild

int PowerPoint3ParserInternal::Frame::m_groupChild[2]

the group limit

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_isSent

bool PowerPoint3ParserInternal::Frame::m_isSent
| mutable

flag to know if a frame is sent

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_mainTextBox

bool PowerPoint3ParserInternal::Frame::m_mainTextBox

flag to know if the textbox is a place holder

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_pictureId

int PowerPoint3ParserInternal::Frame::m_pictureId

the picture id

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_polygonId

int PowerPoint3ParserInternal::Frame::m_polygonId

the polygon id

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_shapeId

int PowerPoint3ParserInternal::Frame::m_shapeId

the shape id: 1: oval, 2: rectOval, 3:rectangle

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_style

MWAWGraphicStyle PowerPoint3ParserInternal::Frame::m_style

the style

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_textId

int PowerPoint3ParserInternal::Frame::m_textId

the textzone id

Referenced by PowerPoint3Parser::sendFrame().

## ◆ m_type

int PowerPoint3ParserInternal::Frame::m_type

the type: 0:line, 1:rect, 2: textbox, ...

Referenced by PowerPoint3Parser::sendFrame().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx